package com.yeejoin.amos.fas.core.common.response;

import java.math.BigDecimal;
import java.util.List;

public class RiskSourceTreeResponse {
	
	private Long id;
	
	
	private Long parentId;
	
	private Long riskLevelId;
	
	private String code;
	
	private String name;
	
	private String level;
	
	private BigDecimal rpn;
	
	private BigDecimal rpni;
	
	private String isRegion;
	
	private Integer isIndoor;
	
	private String position3d;
	
	private String floor3d;
	
	private String status;
	
	private Integer count;
	
	private Integer qualified;
	private Integer unqualified;
	private Integer omission;
	private Integer unplan;

	private Long sourceId;

	public Long getSourceId() {
		return sourceId;
	}

	public void setSourceId(Long sourceId) {
		this.sourceId = sourceId;
	}

	private Long value;
	private Long pId;
	private String title;
	private String lable;
	
	

	public Long getValue() {
		return id;
	}

	public Long getpId() {
		return parentId;
	}


	public String getTitle() {
		return name;
	}


	public String getLable() {
		return name;
	}



	private List<RiskSourceTreeResponse> children;
	
	public String getPosition3d() {
		return position3d;
	}

	public void setPosition3d(String position3d) {
		this.position3d = position3d;
	}

	public String getFloor3d() {
		return floor3d;
	}

	public void setFloor3d(String floor3d) {
		this.floor3d = floor3d;
	}


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getParentId() {
		return parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<RiskSourceTreeResponse> getChildren() {
		return children;
	}

	public void setChildren(List<RiskSourceTreeResponse> children) {
		this.children = children;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public BigDecimal getRpn() {
		return rpn;
	}

	public void setRpn(BigDecimal rpn) {
		this.rpn = rpn;
	}

	public Long getRiskLevelId() {
		return riskLevelId;
	}

	public void setRiskLevelId(Long riskLevelId) {
		this.riskLevelId = riskLevelId;
	}

	public String getIsRegion() {
		return isRegion;
	}

	public void setIsRegion(String isRegion) {
		this.isRegion = isRegion;
	}

	public Integer getIsIndoor() {
		return isIndoor;
	}

	public void setIsIndoor(Integer isIndoor) {
		this.isIndoor = isIndoor;
	}

	public BigDecimal getRpni() {
		return rpni;
	}

	public void setRpni(BigDecimal rpni) {
		this.rpni = rpni;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public Integer getQualified() {
		return qualified;
	}

	public void setQualified(Integer qualified) {
		this.qualified = qualified;
	}

	public Integer getUnqualified() {
		return unqualified;
	}

	public void setUnqualified(Integer unqualified) {
		this.unqualified = unqualified;
	}

	public Integer getOmission() {
		return omission;
	}

	public void setOmission(Integer omission) {
		this.omission = omission;
	}

	public Integer getUnplan() {
		return unplan;
	}

	public void setUnplan(Integer unplan) {
		this.unplan = unplan;
	}
}
